import React, {useState, useEffect} from 'react'


const SelectItemsPage = ({selectItemPag, pagination}) => {
    const [itemPage, setItemPage] = useState(5);

    useEffect(()=>{
        if (pagination && pagination.itemsPag) {
            setItemPage(pagination.itemsPag);
        }
    }, [pagination])

    return (
        <select
            style={{width: 'auto'}}
            className="form-control form-control-sm mr-2"
            name="selectItemPage"
            onChange={(e) => selectItemPag.callback(e.target.value)} value={itemPage}>
            {selectItemPag.options.map((item, idx) => {
                return (
                    <option key={idx} value={item}>{item}</option>
                )
            })}
        </select>
    )
};

export default SelectItemsPage;